Subject: RE: WG last call

From: "Jim Schaad" <[email-masked]>
Date: Fri, 5 Sep 2003 17:34:42 -0700

Steve,

Here are my comments on the draft.

1.  I don't understand doing a draft to define private extensions.  This
is the phrase used in the abstract.used in the message.

2.  I have a complete lack of understanding on how the IP adresses are
to be encoded.  Either a section on this needs to be added or a
reference to this needs to be place in the document.

3.  There is no ASN.1 module but this document defines new items.  (At
least there is no tagging so I don't need to know explicit vs implicit.)

Jim

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Stephen Kent
> Sent: Tuesday, August 19, 2003 7:02 PM
> To: [email-masked]
> Subject: WG last call
> 
> 
> 
> Folks,
> 
> We have a relatively old ID that was reposted in June, after minor 
> changes in response to some previous comments. The document defines 
> two proposed extensions, one to carry IP address prefix data and one 
> to carry Autonomous System Identifier info, in PK certs. The 
> extension was developed to enable creation of a PKI that reflects the 
> assignment of IP addresses and AS numbers, which happens to be done 
> in a top down, singly rooted tree fashion, starting with IANA. The 
> document is draft-ietf-pkix-x509-ipaddr-as-extn-01.txt.
> 
> I would like to initiate a 2-week WG last call on this ID. There are 
> now a couple of protocols that could make use of this extension in 
> different contexts and so it would be good to have it as another, 
> completed PKIX item.
> 
> Since I am a co-author of the document, I will recuse myself from the 
> process of determining WG consensus in this case, and rely on Tim to 
> deal with any issues that may arise.
> 
> Steve
>

---

From: "Jim Schaad" <[email-masked]>
Date: Sat, 6 Sep 2003 21:58:56 -0700

Steve,

I have finally figured out what was lying in the back of my mind and
screaming at me.

The element IPAddress cannot be DER encoded.  If you take a bit string
and DER encode it, you will automatically remove all trailing zeros as
these are assumed not to contain information.  However with IPAddress,
the trailing zeros do contain information. 

The element IPAddress cannot be BER encoded.  An implemeantion can DER
encode a bitstring and still claim full compliance to the BER
specification.

I cannot see how this draft can possibly progress without changing the
basic type of IPAddress.

jim

> [mailto:[email-masked]] On Behalf Of Jim Schaad
> Sent: Friday, September 05, 2003 5:35 PM
> To: 'Stephen Kent'; [email-masked]
> Subject: RE: WG last call
> 
> 
> 
> Steve,
> 
> 1.  I don't understand doing a draft to define private 
> extensions.  This is the phrase used in the abstract.used in 
> the message.
> 
> 2.  I have a complete lack of understanding on how the IP 
> adresses are to be encoded.  Either a section on this needs 
> to be added or a reference to this needs to be place in the document.
> 
> 3.  There is no ASN.1 module but this document defines new 
> items.  (At least there is no tagging so I don't need to know 
> explicit vs implicit.)
> 
> Jim
> 
>

---

From: "Steven Legg" <[email-masked]>
Date: Mon, 8 Sep 2003 11:33:00 +1100

Jim,

Jim Schaad wrote:
> these are assumed not to contain information.

Trailing zero bits are only removed by DER/BER when the BIT STRING type has
a NamedBitList. IPAddress does not have a NamedBitList so trailing zero
bits are retained and regarded as significant.

Regards,
Steven

> However with IPAddress,